#
# $Id: MyColors.py,v 1.5 2005/09/22 07:12:57 admin Exp $
#
# Copyright (c) 2003, 2004, 2005 Dirk Datzert
# All rights reserved. Written by Dirk Datzert <dirk@datzert.de>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. The name of the author may not be used to endorse or promote products
#    derived from this software without specific prior written permission
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

__version__='$Revision: 1.5 $'[11:-2]

from types import StringType
from reportlab.lib.colors import Color, HexColor, toColor

TK_Blue = HexColor("#003466")
TK_White = HexColor("#FFFFFF")
TK_Grey = HexColor("#CCCCCC")
TK_Silver = HexColor("#999999")
TK_Black = HexColor("#000000")
TK_LightRed = HexColor("#F5A78A")
TK_MediumRed = HexColor("#D38153")
TK_DarkRed = HexColor("#BA5333")
TK_LightOrange = HexColor("#F9C486")
TK_MediumOrange = HexColor("#F2B32F")
TK_DarkOrange = HexColor("#DE800D")
TK_LightYellow = HexColor("#FCE680")
TK_MediumYellow = HexColor("#F8D721")
TK_DarkYellow = HexColor("#E8B700")
TK_LightGreen = HexColor("#A2D28A")
TK_MediumGreen = HexColor("#73C35F")
TK_DarkGreen = HexColor("#00AC36")
TK_LightBlue = HexColor("#9DC5E8")
TK_MediumBlue = HexColor("#7B9FD2")
TK_DarkBlue = HexColor("#4784C3")
TK_LightPurple = HexColor("#BFA3C9")
TK_MediumPurple = HexColor("#9C67A5")
TK_DarkPurple = HexColor("#83589E")


_myColors = None

def getMyColors():
	#returns a dictionary of all the named ones in the module
	# uses a singleton for efficiency
	global _myColors
	if _myColors is not None: return _myColors
	import MyColors
	_myColors = {}
	for (name, value) in MyColors.__dict__.items():
		if isinstance(value, Color):
			_myColors[name] = value

	return _myColors


def toMyColor(arg,default=None):

	tArg = type(arg)

	if tArg == StringType:
        	C = getMyColors()
        	if C.has_key(arg): return C[arg]

	return toColor(arg, default)


#   vim:ts=4
